org.springframework.orm.hibernate3

## Class LocalJtaDataSourceConnectionProvider

- java.lang.Object
- - org.springframework.orm.hibernate3.LocalDataSourceConnectionProvider
  - - org.springframework.orm.hibernate3.LocalJtaDataSourceConnectionProvider

All Implemented Interfaces:
  org.hibernate.connection.ConnectionProvider

    public class LocalJtaDataSourceConnectionProvider
    extends LocalDataSourceConnectionProvider

Subclass of LocalDataSourceConnectionProvider that will be used if LocalSessionFactoryBean's "dataSource" property is set in combination with a Hibernate TransactionManagerLookup.

Since:
  2.5.1
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`LocalJtaDataSourceConnectionProvider()`

### Method Summary

Methods
`boolean` `supportsAggressiveRelease()` This implementation returns `true`, since we're assuming a JTA DataSource.

### Methods inherited from class org.springframework.orm.hibernate3.LocalDataSourceConnectionProvider

`close, closeConnection, configure, getConnection, getDataSource, getDataSourceToUse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalJtaDataSourceConnectionProvider

    public LocalJtaDataSourceConnectionProvider()

### Method Detail

#### supportsAggressiveRelease

    public boolean supportsAggressiveRelease()

This implementation returns `true`, since we're assuming a JTA DataSource.

Specified by:
  `supportsAggressiveRelease` in interface `org.hibernate.connection.ConnectionProvider`
Overrides:
  `supportsAggressiveRelease` in class `LocalDataSourceConnectionProvider`